---
title: "Hand Me the Ricer"
date: 2016-02-15T00:31:52+01:00
hero: /content/images/2016/feb/5w6BJGF.png
excerpt: A few months ago I found this subreddit - unixporn. I'm not sure what I expected, when I clicked that link. Everyone who frequents Reddit more or less often knows that this is a place where you can find almost everything you can think of and - even more often - can find things you didn't even want to find. And since the suffix _porn_ didn't sound very promising, I was very sceptical.
slug: "hand-me-the-ricer"
tags: ["apple", "linux", "design", "reddit"]
authors: ["felix"]
draft: false
---

A few months ago I found this subreddit - `unixporn`. I'm not sure what I expected, when I clicked that link. Everyone who frequents [Reddit](https://reddit.com) more or less often knows that this is a place where you can find almost everything you can think of and - even more often - can find things you didn't even want to find.[^1] And since the suffix _porn_ didn't sound very promising, I was very sceptical.

But I was wrong. When I clicked this link, I was positively surprised. The truth is: Unixporn is a community full of people who bear a relation to their UNIX system.[^2] This subreddit is a place for all those humans to share their self-hacked config files or screenshots of their in hours or days of work beautifully customized systems, the catwalk for UNIX systems, so to say.
What these people do is called __ricing__. Normally, this verb describes the process of passing food through a food mill _("ricer")_ to make it smoother and mash it up. In terms of _"ricing a UNIX system"_ this simply means to customize your system to step out of the crowd and look special.

For the next few hours I sat there, browsing through all these beautiful screenshots and starring a number of GitHub repositories containing some smart configurations and programs, like [iTerm2-borderless-padding](https://github.com/jaredculp/iterm2-borderless-padding), [kwm](https://github.com/koekeishiya/kwm), [herbstluftwm](https://github.com/herbstluftwm/herbstluftwm), [i3](https://github.com/i3/i3), [i3-gaps](https://github.com/Airblader/i3) and so on.  
I was overwhelmed by the sheer amount of possibilities to customize my system, especially since OS X has a reputation for being poorly customizable because it's closed source and most of the time you just see the vanilla OS X while Linux is well-known for it's nearly infinite amount of options and the wide range of programs, distributed as packages.
And this is how I spent the rest of the night: Building and installing things like _iTerm2-borderless-padding_, messing around with my configuration and customizing my own system.
After a lot of trial and error and a lot of new browser bookmarks later, I finally found a configuration I loved.

![My Desktop](https://i.imgur.com/SGWtryl.jpg)

But this was just the beginning. Since then I've been constantly experimenting with my systems' settings and [my .dotfiles](https://github.com/Feliix42/dotfiles) [^3] are growing since then. I have always been more of a terminal person and try to avoid using the Finder as often as possible, but now - since my terminal became so adorable - even more!

So if you have a faible for tinkering around you definitely shouldn't spare your system! The own PC or laptop is primarily defined by the sum of its dotfiles and its UI. With each line of code and every little UI adjustment you breathe more life into it.
Not everything has to remain at status quo. Sometimes you should be a little hipster.

*The Header image is from [this](https://www.reddit.com/r/unixporn/comments/44nhdl/wmutils_decently/) reddit post.*

[^1]: I know, _4chan_ is even better at blowing your mind with things you didn't expect. But for beginners, [/r/WTF](https://reddit.com/r/WTF) is usually enough mindfuck.
[^2]: Yes, OS X __is__ a Unix system.
[^3]: Dotfiles are small configuration files that most commonly live in your home folder.
